Package org.apache.wiki.tags

# Class WikiLinkTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
org.apache.wiki.tags.WikiTagBase
org.apache.wiki.tags.WikiLinkTag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

Direct Known Subclasses:
  `CommentLinkTag`, `DiffLinkTag`, `EditLinkTag`, `LinkTag`, `LinkToTag`, `PageInfoLinkTag`, `UploadLinkTag`

public abstract class WikiLinkTag extends WikiTagBase
Root class for different internal wiki links. Cannot be used directly, but provides basic stuff for other classes.

Extend from this class if you need the following attributes.

Attributes

- page - Page name to refer to. Default is the current page.
- format - Either "url" or "anchor". If "url", will provide just the URL for the link. If "anchor", will output proper HTML (<a> href="...).

Since:
  2.0
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ANCHOR`
`protected int`
`m_format`
`protected String`
`m_pageName`
`protected String`
`m_template`
`static final int`
`URL`

### Fields inherited from class org.apache.wiki.tags.WikiTagBase

`m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`WikiLinkTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doEndTag()`
`String`
`getPage()`
`String`
`getTemplate()`
`void`
`initTag()`
This method is called when the tag is encountered within a new request, but before the setXXX() methods are called.
`void`
`setFormat(String mode)`
`void`
`setPage(String page)`
`void`
`setTemplate(String arg)`

### Methods inherited from class org.apache.wiki.tags.WikiTagBase

`doCatch, doFinally, doStartTag, doWikiStartTag, setId, setPageContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ANCHOR

public static final int ANCHOR

See Also:
  - Constant Field Values

### URL

public static final int URL

See Also:
  - Constant Field Values

### m_pageName

protected String m_pageName

### m_format

protected int m_format

### m_template

protected String m_template

## Constructor Details

### WikiLinkTag

public WikiLinkTag()

## Method Details

### initTag

public void initTag()
Description copied from class: `WikiTagBase`
This method is called when the tag is encountered within a new request, but before the setXXX() methods are called. The default implementation does nothing.

Overrides:
  `initTag` in class `WikiTagBase`

### setPage

public void setPage(String page)

### getPage

public String getPage()

### getTemplate

public String getTemplate()

### setTemplate

public void setTemplate(String arg)

### setFormat

public void setFormat(String mode)

### doEndTag

public int doEndTag()

Specified by:
  `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doEndTag` in class `WikiTagBase`